log4shib::NTEventLogAppender(3)

NAME
log4shib::NTEventLogAppender - NTEventLogAppender is an Appender that sends LoggingEvents to the Windows event log.

SYNOPSIS

#include <NTEventLogAppender.hh>

Inherits log4shib::LayoutAppender.

  Public Member Functions
NTEventLogAppender (const std::string &name, const std::string &sourceName)
Instantiate an NTEventLogAppender with given name and source.
virtual ~NTEventLogAppender ()
virtual bool reopen ()
Calls open() and close()
virtual void close ()
Release any resources allocated within the appender such as file handles, network connections, etc.

  Protected Member Functions
WORD getCategory (Priority::Value priority)
Convert log4shib Priority to an EventLog category.
WORD getType (Priority::Value priority)
Convert log4shib Priority to an EventLog type.
HKEY regGetKey (TCHAR *subkey, DWORD *disposition)
void regSetString (HKEY hkey, const TCHAR *name, const TCHAR *value)
void regSetDword (HKEY hkey, const TCHAR *name, DWORD value)
void addRegistryInfo (const char *source)
virtual void open ()
virtual void _append (const LoggingEvent &event)
Sends a LoggingEvent to NT Event log.

  Protected Attributes
HANDLE _hEventSource
std::string _strSourceName

  Additional Inherited Members

Detailed Description

NTEventLogAppender is an Appender that sends LoggingEvents to the Windows event log. Building log4shib.dsp/log4shibDLL.dsp creates the resource DLL NTEventLogAppender.dll. Do not forget to place this DLL in a directory that is on the PATH of the Windows system. Otherwise, the category and message will not display correctly in Event Viewer.
 NB: This class is only available on Win32 platforms.

Constructor & Destructor Documentation

  log4shib::NTEventLogAppender::NTEventLogAppender (const std::string & name, const std::string & sourceName)

Instantiate an NTEventLogAppender with given name and source.

Parameters
    name The name of the Appender
    sourceName The source name to log

  log4shib::NTEventLogAppender::~NTEventLogAppender () [virtual]

Member Function Documentation

  void log4shib::NTEventLogAppender::_append (const LoggingEvent & event) [protected], [virtual]

Sends a LoggingEvent to NT Event log.

Parameters
    event the LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

  void log4shib::NTEventLogAppender::addRegistryInfo (const char * source) [protected]

  void log4shib::NTEventLogAppender::close () [virtual]

Release any resources allocated within the appender such as file handles, network connections, etc.

Implements log4shib::AppenderSkeleton.

  WORD log4shib::NTEventLogAppender::getCategory (Priority::Value priority) [protected]

Convert log4shib Priority to an EventLog category. Each category is backed by a message resource so that proper category names will be displayed in the NT Event Viewer.

  WORD log4shib::NTEventLogAppender::getType (Priority::Value priority) [protected]

Convert log4shib Priority to an EventLog type. The log4shib package supports 8 defined priorites, but the NT EventLog only knows 3 event types of interest to us: ERROR, WARNING, and INFO.

  void log4shib::NTEventLogAppender::open () [protected], [virtual]

  HKEY log4shib::NTEventLogAppender::regGetKey (TCHAR * subkey, DWORD * disposition) [protected]

  void log4shib::NTEventLogAppender::regSetDword (HKEY hkey, const TCHAR * name, DWORD value) [protected]

  void log4shib::NTEventLogAppender::regSetString (HKEY hkey, const TCHAR * name, const TCHAR * value) [protected]

  bool log4shib::NTEventLogAppender::reopen () [virtual]

Calls open() and close()

Reimplemented from log4shib::AppenderSkeleton.

Member Data Documentation

  HANDLE log4shib::NTEventLogAppender::_hEventSource [protected]

  std::string log4shib::NTEventLogAppender::_strSourceName [protected]

Author

Generated automatically by Doxygen for log4shib from the source code.